Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Can't upgrade ATI Radeon x1600 drivers

  1. #1
    Join Date
    Apr 2009
    Beans
    37

    Can't upgrade ATI Radeon x1600 drivers

    Hi,

    I am a new user to Ubuntu (9.04) on a 1st generation Macbook Pro. I installed 9.04, and everything works great, except that, when turning on a few 3D effects in compfiz, the system slows down to a halt, making it unusable. I've been playing around and trying to install the proprietary drivers for the past week, with bad results. Usually, my efforts result in Ubuntu not being able to boot, and me getting a black screen and weird static instead:

    http://i41.tinypic.com/2rxjm91.jpg

    I've tried getting help in the #ubuntu irc channel, and while everyone who helped was incredibly patient and helpful (for which I am extremley thankful for, and made me already glad I have switched to Linux), we haven't been able to figure it out.

    I've gotten that screen with static twice, after going into Synaptic, and searching for "ATI Radeon" and checking the drivers option that comes up. I've been forced to reinstall 9.04 after each of these incidents.

    I'd really really like to play around with Ubuntu's eye candy, so any help is really appreciated.

  2. #2
    Join Date
    Apr 2009
    Beans
    37

    Re: Can't upgrade ATI Radeon x1600 drivers

    Ok, I just tried again and got that black screen again (posting from OS X). Is there anyway to fix my Ubuntu system without reinstalling the OS? It's becoming very tedious/frustrating.

  3. #3
    Join Date
    Aug 2005
    Location
    Huntsville, AL, USA
    Beans
    7,526
    Distro
    Ubuntu

    Re: Can't upgrade ATI Radeon x1600 drivers

    I am using the X1600 in my iMac, and it works great with nothing else to install. My screen will look like that for a second before gdm starts up. My guess would be that there are some bad compiuz plugins you are trying to enable. Try to limit the number of "effects" that you are trying to use at once or narrow it down to the culprit. Either way, I don't think it is a graphics driver issue.

  4. #4
    Join Date
    Apr 2009
    Beans
    37

    Re: Can't upgrade ATI Radeon x1600 drivers

    No...it freezes there only after I install the drivers, nothing to do with enabling certain effects. The last freeze I got had no effects enabled.

  5. #5
    Join Date
    Aug 2005
    Location
    Huntsville, AL, USA
    Beans
    7,526
    Distro
    Ubuntu

    Re: Can't upgrade ATI Radeon x1600 drivers

    Quote Originally Posted by burvowski View Post
    No...it freezes there only after I install the drivers, nothing to do with enabling certain effects. The last freeze I got had no effects enabled.
    Hmm.... I guess I am saying that you should not need to install drivers... Have you tried enabling effects without first installing any drivers?

  6. #6
    Join Date
    Apr 2009
    Beans
    37

    Re: Can't upgrade ATI Radeon x1600 drivers

    Thanks for the quick reply.

    I got it working (well, back to booting). I booted into recovery mode, entered the console, and did:

    Code:
    sudo apt-get remove fglrx*
    Code:
    sudo dpkg-reconfigure xserver-xorg
    It seems like my card doens't support 3D graphics well in 9.04, because of a new xserver version or something, despite having 256 megs of dedicated video ram. I guess I will go back to OS X until I can buy a new laptop with a nvidia card or until the drivers get better.
    Last edited by burvowski; April 25th, 2009 at 05:23 AM.

  7. #7
    Join Date
    Apr 2009
    Beans
    2

    Re: Can't upgrade ATI Radeon x1600 drivers

    it's bad news that older ati drivers are no longer supported by AMD from 9.04 on while the open source driver install by default is slow. you are back to mac and I'm to windows 7.

  8. #8
    Join Date
    Apr 2006
    Beans
    Hidden!
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Can't upgrade ATI Radeon x1600 drivers

    Quote Originally Posted by Richae View Post
    it's bad news that older ati drivers are no longer supported by AMD from 9.04 on while the open source driver install by default is slow. you are back to mac and I'm to windows 7.
    Does that lack of support apply to the AMD drivers here

    http://support.amd.com/us/gpudownload/Pages/index.aspx

    I had problems compiling with kernel headers in ubuntu904-amd64 (BETA) for Radeon2600HD, also in debian with 2.6.29 kernel.

  9. #9
    Join Date
    Apr 2009
    Beans
    37

    Re: Can't upgrade ATI Radeon x1600 drivers

    Quote Originally Posted by Richae View Post
    it's bad news that older ati drivers are no longer supported by AMD from 9.04 on while the open source driver install by default is slow. you are back to mac and I'm to windows 7.
    Yeah, it's like Ubuntu took a step backward for us ATI card users, which have to be a pretty sizable chunk. I've heard that the open source drivers are expected to be improved by the end of summer, though, so my fingers are crossed for that. I really did love Ubuntu for the few days I got to try it and would drop OS X and Windows with no hesitation to use it.

  10. #10
    Join Date
    Aug 2005
    Location
    Huntsville, AL, USA
    Beans
    7,526
    Distro
    Ubuntu

    Re: Can't upgrade ATI Radeon x1600 drivers

    is the open source driver really that bad? I haven't had any issues with it...

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •